# Contributing

Community contributions to `ddqa` are welcome 😃! See below for some basic guidelines.

## Want to request a new feature?

Many great ideas for new features come from the community, and we'd be happy to consider yours!

To share your request, you can [open a GitHub issue](https://github.com/DataDog/ddqa/issues/new) with the details
about what you'd like to see. At a minimum, please provide:

* The goal of the new feature
* A description of how it might be used or behave
* Links to any important resources (e.g. GitHub repos, websites, screenshots, specifications, diagrams)

The following additions are more than welcome:

* A description of how it could be accomplished
* Code snippets that might demonstrate its use or implementation
* Screenshots or mockups that visually demonstrate the feature
* Links to similar features that would serve as a good comparison
* (Any other details that would be useful for implementing this feature!)

## Found a bug?

You can submit bug reports concerning `ddqa` by
[opening a GitHub issue](https://github.com/DataDog/ddqa/issues/new). At a minimum, please provide:

* A description of the problem
* Steps to reproduce
* Expected behavior
* Actual behavior
* Errors or warnings received
* Any details you can share about your configuration

If at all possible, also provide:

* Screenshots, links, or other visual aids that are publicly accessible
* An explanation of what causes the bug and/or how it can be fixed

Reports that include rich detail are better, and ones with code that reproduce the bug are best.

## Have a patch?

We welcome code contributions to the library, which you can
[submit as a pull request](https://github.com/DataDog/ddqa/pull/new/master).
To create a pull request:

1. **Fork the repository** from <https://github.com/DataDog/ddqa>
2. **Make any changes** for your patch
3. **Write tests** that demonstrate how the feature works or how the bug is fixed
4. **Update any documentation** especially for new features.
5. **Submit the pull request** from your fork back to the latest revision of the `master` branch on
   <https://github.com/DataDog/ddqa>

The pull request will be run through our CI pipeline, and a project member will review the changes with you.

If at any point you have a question or need assistance with your pull request, feel free to mention a project member!
We're always happy to help contributors with their pull requests.

## Final word

Many thanks to all of our contributors, and looking forward to seeing you on GitHub!
